Class | DOT::DOTElement
In: | rdoc/dot/dot.rb
Parent: | DOTSimpleElement

an element that has options ( node, edge or graph )

### Methods

each_option each_option_pair new

### Attributes

name | [RW] | attr_reader :parent
options | [RW] | attr_reader :parent

### Public Class methods

new( params = {}, option_list = [] )

[Source]

    # File rdoc/dot/dot.rb, line 97
            def initialize( params = {}, option_list = [] )
                super( params )
                @name = params['name'] ? params['name'] : nil
                @parent = params['parent'] ? params['parent'] : nil
                @options = {}
                option_list.each{ |i|
                    @options[i] = params[i] if params[i]
                }
                @options['label'] ||= @name if @name != 'node'
            end

### Public Instance methods

each_option() {|i| ...}

[Source]

    # File rdoc/dot/dot.rb, line 108
            def each_option
                @options.each{ |i| yield i }
            end

each_option_pair() {|key, val| ...}

[Source]

    # File rdoc/dot/dot.rb, line 112
            def each_option_pair
                @options.each_pair{ |key, val| yield key, val }
            end

[Validate]